This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 828695 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'execute' accesses on the file /home/vydral/.orc/orcexec.0Pjr6i (deleted).
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'execute' accesse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ad73221cb7aeee6d75c79a93d45...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 04:17 EDT by lev
Modified: 2012-06-16 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lev 2012-06-05 04:17:47 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Út 5. červen 2012, 10:17:25 CEST

description:
:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'execute' accesses on the file /home/vydral/.orc/orcexec.0Pjr6i (deleted).
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-video-thumbnailer should be allowed execute access on the orcexec.0Pjr6i (deleted) file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep flacparse0:sink /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:gstreamer_home_t:s0
:Target Objects                /home/vydral/.orc/orcexec.0Pjr6i (deleted) [ file
:                              ]
:Source                        flacparse0:sink
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Neznámé>
:Host                          (removed)
:Source RPM Packages           totem-3.4.2-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon
:                              May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    Út 5. červen 2012, 10:14:31 CEST
:Last Seen                     Út 5. červen 2012, 10:14:31 CEST
:Local ID                      ff7943de-b010-4750-8823-33458fec2fe4
:
:Raw Audit Messages
:type=AVC msg=audit(1338884071.634:200): avc:  denied  { execute } for  pid=20569 comm="flacparse0:sink" path=2F686F6D652F76796472616C2F2E6F72632F6F7263657865632E30506A723669202864656C6574656429 dev="sda2" ino=10488194 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:gstreamer_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338884071.634:200): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=10000 a2=5 a3=1 items=0 ppid=19333 pid=20569 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=15 comm=flacparse0:sink exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: flacparse0:sink,thumb_t,gstreamer_home_t,file,execute
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-05 09:29:35 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Fedora Update System 2012-06-11 16:59:53 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:57:29 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:02:25 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.